using System;
using System.Net;

internal sealed class Delegate667 : MulticastDelegate
{
	public extern HttpStatusCode Invoke(object object_0);

	public static HttpStatusCode smethod_0(object object_0, Delegate667 delegate667_1)
	{
		return delegate667_1(object_0);
	}

	public extern Delegate667(object object_0, IntPtr intptr_0);

	static Delegate667()
	{
		Class10.smethod_13(typeof(Delegate667).TypeHandle);
	}

	internal static Delegate667 delegate667_0;
}
